%define ver 2.3.0
%define rel 1

# threads values: pthreads, none
%define threads pthreads

# tar version
%define tarversion %(echo %ver | sed 's/\\./_/g')
%define tarname %{name}-src_%{tarversion}

Summary:	Xerces-C++ validating XML parser
Name:		xerces-c
Version:	%{ver}
Release:	%{rel}
URL:		http://xml.apache.org/xerces-c/
Source0:	%{tarname}.tar.gz
Copyright:	Apache
Group:		Libraries
BuildRoot:	%{_tmppath}/%{name}-root
Prefix:		/usr
Patch0:		xerces-c-src2_2_0-libdir.patch

%description
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

The parser provides high performance, modularity, and scalability. Source
code, samples and API documentation are provided with the parser. For
portability, care has been taken to make minimal use of templates, no RTTI,
and minimal use of #ifdefs.

%package devel
Requires:	xerces-c = %{version}
Group:		Development/Libraries
Summary:	Header files for Xerces-C++ validating XML parser

%description devel
Header files you can use to develop XML applications with Xerces-C++.

Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

%package doc
Group:		Documentation
Summary:	Documentation for Xerces-C++ validating XML parser

%description doc
Documentation for Xerces-C++.

Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

%prep
%setup -q -n %{tarname}
%patch0 -p1 -b .libdir

%build
export XERCESCROOT=$RPM_BUILD_DIR/%{tarname}
cd $XERCESCROOT/src/xercesc
./runConfigure -plinux -cgcc -xg++ -minmem -nsocket -tnative -r%{threads} -P%{prefix}
make
cd $XERCESCROOT/samples
./runConfigure -plinux -cgcc -xg++
make

%install
rm -rf $RPM_BUILD_ROOT
export XERCESCROOT=$RPM_BUILD_DIR/%{tarname}
cd $XERCESCROOT/src/xercesc
make DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir} install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
#we don't want obj directory
install `find $XERCESCROOT/bin -type f -maxdepth 1` $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a $XERCESCROOT/samples $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(755,root,root)
%doc LICENSE.txt STATUS credits.txt Readme.html
%{_bindir}/*
%{_libdir}/libxerces-c.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/xercesc
%{_libdir}/libxerces-c.so
%{_datadir}/%{name}/samples

%files doc
%defattr(-,root,root)
%doc doc/

%changelog
* Fri May 30 2003 Thomas Woerner <twoerner@redhat.com> 2.3.0-1
- new version 2.3.0, tarname define

* Tue May  6 2003 Thomas Woerner <twoerner@redhat.com> 2.2.0-3
- fixed spec file

* Wed Dec 18 2002 Albert Strasheim <albert@stonethree.com>
- added symlink to libxerces-c.so in lib directory

* Fri Dec 13 2002 Albert Strasheim <albert@stonethree.com>
- added seperate doc package
- major cleanups

* Tue Sep 03 2002 Thomas Woerner <thomas@linux.de>
- fixed missing DESTDIR in Makefile.util.submodule

* Mon Sep 02 2002 Thomas Woerner <thomas@linux.de>
- Initial build.
